Package com.fasterxml.jackson.core.util

# Class JsonRecyclerPools.LockFreePool

java.lang.Object
com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase<P>
com.fasterxml.jackson.core.util.RecyclerPool.LockFreePoolBase<BufferRecycler>
com.fasterxml.jackson.core.util.JsonRecyclerPools.LockFreePool

All Implemented Interfaces:
  `RecyclerPool<BufferRecycler>`, `Serializable`

Enclosing class:
  JsonRecyclerPools

public static class JsonRecyclerPools.LockFreePool extends RecyclerPool.LockFreePoolBase<BufferRecycler>
`RecyclerPool` implementation that uses a lock free linked list for recycling instances.

Pool is unbounded: see `RecyclerPool` for details on what this means.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class com.fasterxml.jackson.core.util.RecyclerPool.LockFreePoolBase

`RecyclerPool.LockFreePoolBase.Node<P>`

## Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.NonRecyclingPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ThreadLocalPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final JsonRecyclerPools.LockFreePool`
`GLOBAL`

### Fields inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_serialization, SERIALIZATION_NON_SHARED, SERIALIZATION_SHARED`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`LockFreePool(int serialization)`

## Method Summary

Modifier and Type
Method
Description
`static JsonRecyclerPools.LockFreePool`
`construct()`
`BufferRecycler`
`createPooled()`
`protected Object`
`readResolve()`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.LockFreePoolBase

`acquirePooled, releasePooled`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_resolveToShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`acquireAndLinkPooled`

## Field Details

### GLOBAL

protected static final JsonRecyclerPools.LockFreePool GLOBAL

## Constructor Details

### LockFreePool

protected LockFreePool(int serialization)

## Method Details

### construct

public static JsonRecyclerPools.LockFreePool construct()

### createPooled

public BufferRecycler createPooled()

Specified by:
  `createPooled` in class `RecyclerPool.StatefulImplBase<BufferRecycler>`

### readResolve

protected Object readResolve()